# Generated by rust2rpm 11
%bcond_without check
%global __cargo_skip_build 0

%global crate i3status-rs

Name:           rust-%{crate}
Version:        0.12.0
Release:        1%{?dist}
Summary:        Feature-rich and resource-friendly replacement for i3status, written in Rust

# Upstream license specification: GPLv3
License:        GPLv3+
# FIXME: Upstream uses unknown SPDX tag GPLv3!
URL:            https://github.com/greshake/i3status-rust
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# Chore: bump deps
# * https://github.com/greshake/i3status-rust/pull/483
# - chrono-tz = "0.5"
# - i3ipc = "0.10.1"
# - num = "0.2.0"
# - inotify = "0.7.0"
# - maildir = "0.3.4"
#
# * HELPWANTED: uuid = { version = "0.7", features = ["v4"] }
# - Problem only if we bump uuid
Patch0:         i3status-rs-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  pulseaudio-libs
BuildRequires:  rust-packaging
BuildRequires:  pkgconfig(dbus-1)

%global _description %{expand:
i3status-rs is a feature-rich and resource-friendly replacement for i3status,
written in pure Rust. It provides a way to display "blocks" of system
information (time, battery status, volume, etc) on the i3 bar. It is also
compatible with sway.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

Recommends:     fontawesome-fonts
Suggests:       i3%{?_isa}
Suggests:       sway%{?_isa}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc README.md NEWS.md CONTRIBUTING.md blocks.md example_config.toml example_icon.toml example_theme.toml themes.md
%{_bindir}/i3status-rs

%prep
%autosetup -n i3status-rust-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

# Basic configuration file. Mandatory for successful i3status-rust run.
install -m 0655 -Dp example_config.toml %{buildroot}%{_sysconfdir}/xdg/i3/status.toml

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Dec 12 18:35:09 EET 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.0-1
- Update to 0.12.0

* Tue Nov 05 18:51:24 EET 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.0-1
- Initial package
